{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <title>Panitia Penyelenggara Register Form</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'styles/register.css' %}">
        <style>
            table.table td {
                padding: 20px;
            }
        </style>
    </head>
    <body>
        <h3 class="text-center field-label" style="padding-top: 30px; padding-bottom: 20px">FORM PENDAFTARAN AKUN PANITIA PENYELENGGARA</h3>
        <form action="/login">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <td colspan="2" class="field-label text-center">
                            <h4>INFORMASI AKUN</h4>
                        </td>
                    </tr>
                </thead>
                <tbody>
                <tr>
                    <td>
                        <label class="field-label">Email</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="Email" aria-label="Email" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label class="field-label">Password</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="Password" aria-label="Password" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label class="field-label">No. HP</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="No. HP" aria-label="No. HP" required>
                    </td>
                </tr>
                </tbody>

                <thead>
                    <tr>
                        <td colspan="2" class="field-label text-center">
                            <h4>INFORMASI PANITIA</h4>
                        </td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <label class="field-label">Nama Panjang</label>
                            <label class="star">*</label>
                        </td>
                        <td>
                            <input type="text" class="form-control" placeholder="Nama Panjang" aria-label="Nama Panjang" required>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label class="field-label">Tenaga Kesehatan</label>
                            <label class="star">*</label>
                        </td>
                        <td>
                            <input type="radio" id="ya" name="tenaga_kesehatan" value="YA" onClick=tenagaKesehatan() required>
                            <label for="ya" class="field-label">Ya</label><br>
                            <input type="radio" id="tidak" name="tenaga_kesehatan" value="TIDAK" onClick=nonTenagaKesehatan() required>
                            <label for="tidak" class="field-label">Tidak</label><br>
                        </td>
                    </tr>                    
                </tbody>

                <tbody id="tenaga_kesehatan" class="d-none">
                    <tr>
                        <td colspan="2" class="field-label text-center">
                            <h4>TAMBAHAN TENAGA KESEHATAN</h4>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label class="field-label">Nomor Surat Tanda </label>
                            <br>
                            <label class="field-label">Registrasi (STR)</label>
                            <label class="star">*</label>
                        </td>
                        <td>
                            <input type="text" class="form-control" placeholder="STR" aria-label="STR" required>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label class="field-label">Tipe Petugas</label>
                            <label class="star">*</label>
                        </td>
                        <td>
                            <input type="text" class="form-control" placeholder="Tipe Petugas" aria-label="Tipe Petugas" required>
                        </td>
                    </tr>
                </tbody>                  

                <thead>
                    <td colspan="2" class="field-label text-center">
                        <h4>DATA PERSONAL</h4>
                    </td>
                </thead>
                <tbody>
                <tr>
                    <td>
                        <label class="field-label">NIK</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="NIK" aria-label="NIK" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label class="field-label">Jenis Kelamin</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <select id="jenis_kelamin" class="form-control" required>
                            <option value="" selected>Jenis Kelamin...</option>
                            <option value="warga">Male</option>
                            <option value="panitia">Female</option>
                        </select>
                    </td>
                </tr>
                </tbody>

                <thead>
                    <tr>
                        <td colspan="2" class="field-label text-center">
                            <h4>ALAMAT</h4>
                        </td>
                    </tr>
                </thead>
                <tbody>
                <tr>
                    <td>
                        <label class="field-label">Nomor Bangunan</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="Nomor Bangunan" aria-label="Nomor Bangunan" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label class="field-label">Nama Jalan</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="Nama Jalan" aria-label="Nama_Jalan" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label class="field-label">Kelurahan</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="Kelurahan" aria-label="Kelurahan" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label class="field-label">Kecamatan</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="Kecamatan" aria-label="Kecamatan" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label class="field-label">Kabupaten/Kota Administrasi</label>
                        <label class="star">*</label>
                    </td>
                    <td>
                        <input type="text" class="form-control" placeholder="Kabupaten/Kota Administrasi" aria-label="Kabupaten/Kota_Administrasi" required>
                    </td>
                </tr>
                </tbody>

                <thead>
                    <tr>
                        <th colspan="2" class="field-label text-center">
                            <h4>AFILASI</h4>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <label class="field-label">Instansi</label>
                            <label class="star">*</label>
                        </td>
                        <td>
                            <select id="instansi" class="form-control" required>
                                <option value="" selected>Instansi...</option>
                                <option value="">Rumah Sakit Sehat</option>
                                <option value="">Rumah Sakit Melati</option>
                                <option value="">Rumah Sakit Juanda</option>
                                <option value="">PT Sosru</option>
                                <option value="">Rumah Sakit Adi Mulya</option>
                                <option value="">Rumah Sakit Pertemanan</option>
                                <option value="">Rumah Sakit Sejahtera</option>
                                <option value="">PT Unilevel</option>
                                <option value="">PT Cipto Indonesia</option>
                                <option value="">Rumah Sakit BPJS</option>
                                <option value="">Rumah Sakit Jakarta</option>
                                <option value="">Rumah Sakit Pertama</option>
                                <option value="">PT Jakarta Raya</option>
                                <option value="">Rumah Sakit UI</option>
                                <option value="">Rumah Sakit Umum Negeri</option>
                                <option value="">Rumah Sakit Merdeka</option>
                                <option value="">PT Dua Harimau</option>
                                <option value="">PT Bintang Pratama</option>
                                <option value="">RSU Fatmawati</option>
                                <option value="">RS Pusat Pertamina</option>
                                <option value="">Puskesmas Pondok Indah</option>
                                <option value="">Puskesmas Sakit Tebet</option>
                                <option value="">Puskesmas Siaga Raya</option>
                                <option value="">Klinik Agung Jakarta</option>
                                <option value="">Klinik Indah Medika</option>
                            </select>
                        </td>
                    </tr>
                </tbody>
            </table>


            <div class="d-grid gap-2 col-6 mx-auto">
                <button class="btn btn-outline-success" id="submit-button" type="submit" style="color: aliceblue;">Register</button>
            </div>
            
        </form>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
        <script type="text/javascript">
            function nonTenagaKesehatan(){
                var nonTenaga = document.getElementById("tenaga_kesehatan")
                nonTenaga.classList.add('d-none');
            }
                function tenagaKesehatan(){
                var nonTenaga = document.querySelector("#tenaga_kesehatan")
                nonTenaga.classList.remove('d-none');
            }
        </script>
    </body>
</html>
